org.apache.solr.search.function

## Class ValueSourceRangeFilter

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.solr.search.Filter
    - - org.apache.solr.search.SolrFilter
      - - org.apache.solr.search.function.ValueSourceRangeFilter

-     public class ValueSourceRangeFilter
      extends SolrFilter

  RangeFilter over a ValueSource.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueSourceRangeFilter(ValueSource valueSource, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createWeight(Map context, IndexSearcher searcher)` Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context.
    `boolean` | `equals(Object o)`
    `DocIdSet` | `getDocIdSet(Map context, LeafReaderContext readerContext, Bits acceptDocs)`
    `String` | `getLowerVal()`
    `String` | `getUpperVal()`
    `ValueSource` | `getValueSource()`
    `int` | `hashCode()`
    `boolean` | `isIncludeLower()`
    `boolean` | `isIncludeUpper()`
    `String` | `toString(String field)`

    - ### Methods inherited from class org.apache.solr.search.SolrFilter

      `getDocIdSet`

    - ### Methods inherited from class org.apache.solr.search.Filter

      `createWeight`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueSourceRangeFilter

          public ValueSourceRangeFilter(ValueSource valueSource,
                                        String lowerVal,
                                        String upperVal,
                                        boolean includeLower,
                                        boolean includeUpper)

  - ### Method Detail

    - #### getValueSource

          public ValueSource getValueSource()

    - #### getLowerVal

          public String getLowerVal()

    - #### getUpperVal

          public String getUpperVal()

    - #### isIncludeLower

          public boolean isIncludeLower()

    - #### isIncludeUpper

          public boolean isIncludeUpper()

    - #### getDocIdSet

          public DocIdSet getDocIdSet(Map context,
                                      LeafReaderContext readerContext,
                                      Bits acceptDocs)
                               throws IOException

      Specified by:
        `getDocIdSet` in class `SolrFilter`
      Throws:
        `IOException`

    - #### createWeight

          public void createWeight(Map context,
                                   IndexSearcher searcher)
                            throws IOException

      Description copied from class: `SolrFilter`
      Implementations should propagate createWeight to sub-ValueSources which can store weight info in the context. The context object will be passed to getDocIdSet() where this info can be retrieved.
      Specified by:
        `createWeight` in class `SolrFilter`
      Throws:
        `IOException`

    - #### toString

          public String toString(String field)

      Specified by:
        `toString` in class `Query`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `Query`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Query`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.